/*
    A test program using the Syna functions

    - Marq
*/

#include <stdio.h>
#include "syna.h"
#include <SDL/SDL.h>
#include <SDL/SDL_main.h>

void pakki(void *udata, Uint8 *stream, int len)
{
    syna_play((short *)stream,len/4);
}

int main(int argc,char *argv[])
{
    SDL_AudioSpec   w;

    SDL_Init(SDL_INIT_AUDIO);
    w.freq=44100;
    w.format=AUDIO_S16SYS;
    w.channels=2;
    w.samples=BLKSIZE;
    w.callback=pakki;
    w.userdata=NULL;
    SDL_OpenAudio(&w,NULL);

    syna_init(44100);
    if(argc!=2 || syna_load(argv[1])==-1)
    {
        printf("Anna filetto parameetterina!/Give a file as parameter!\n");
        return(1);
    }

    SDL_PauseAudio(0);
    while(1)
    {
        SDL_Delay(1000);
    }

    return(0);
}
